Filesystem
Stat
POST
/
filesystem.Filesystem
/
Stat
Stat
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/filesystem.Filesystem/Stat \
--header 'Authorization: Basic <encoded-value>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"path": "<string>"
}
'import requests
url = "https://{port}-{sandboxID}.e2b.app/filesystem.Filesystem/Stat"
payload = { "path": "<string>" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"X-Access-Token": "<api-key>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
'X-Access-Token': '<api-key>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({path: '<string>'})
};
fetch('https://{port}-{sandboxID}.e2b.app/filesystem.Filesystem/Stat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"name": "<string>",
"path": "<string>",
"size": 123,
"mode": 123,
"permissions": "<string>",
"owner": "<string>",
"group": "<string>",
"modifiedTime": "2023-11-07T05:31:56Z",
"symlinkTarget": "<string>"
}
}{
"message": "<string>",
"code": 123,
"sandboxID": "<string>"
}Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Optional system user for the operation. Sets file ownership and resolves relative paths. Pass the desired username with no password. Defaults to the sandbox's default user when omitted.
Headers
Define the version of the Connect protocol
Define the timeout, in ms
Body
application/json
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Stat
